diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index 41d8661..8aa8ab8 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -32,6 +32,8 @@ define(
         F7_KEY = 118,
         F8_KEY = 119;

+    var is_query_running = false;
+
     // Defining the backbone model for the sql grid
     var sqlEditorViewModel = Backbone.Model.extend({

@@ -1046,6 +1048,9 @@ define(
        *  Shift+F7 - Explain analyze query
        */
       keyAction: function(ev) {
+        // return if query is running
+        if (is_query_running) return;
+
         var keyCode = ev.which || ev.keyCode;
         if (ev.shiftKey && keyCode == F7_KEY) {
           // Explain analyze query.
@@ -1291,10 +1296,12 @@ define(
                       self.disable_tool_buttons(false);
                       $("#btn-cancel-query").prop('disabled', true);
                     }
+                    is_query_running = false;
                   }
                   else if (res.data.status === 'Busy') {
                     // If status is Busy then poll the result by recursive call to the poll function
                     self._poll();
+                    is_query_running = true;
                   }
                   else if (res.data.status === 'NotConnected') {

diff --git a/web/pgadmin/utils/driver/psycopg2/__init__.py b/web/pgadmin/utils/driver/psycopg2/__init__.py
index fbde603..fc7e030 100644
--- a/web/pgadmin/utils/driver/psycopg2/__init__.py
+++ b/web/pgadmin/utils/driver/psycopg2/__init__.py
@@ -1122,8 +1122,6 @@ Failed to reset the connection to the server due to following error:
         if not formatted_msg:
             return errmsg

-        errmsg += '********** Error **********\n\n'
-
         if exception_obj.diag.severity is not None \
                 and exception_obj.diag.message_primary is not None:
             errmsg += exception_obj.diag.severity + ": " + \
